﻿using GrapeCity.ActiveReports;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace PrintTestReport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            string filePath = Application.StartupPath + @"\..\..\SectionReport1.rpx";
            var report = new SectionReport();
            report.LoadLayout(XmlReader.Create(filePath));
            report.Run();

            viewer1.LoadDocument(report.Document);
        }

        private void PrintButton_Click(object sender, EventArgs e)
        {
            using (PrintDialog printDialog = new PrintDialog())
            {
                // Show the PrintDialog
                if (printDialog.ShowDialog() == DialogResult.OK)
                {
                    // The user clicked OK, handle the print settings
                    PrintReport(printDialog.PrinterSettings);

                }
            }
        }

        private void PrintReport(System.Drawing.Printing.PrinterSettings printerSettings)
        {
            //string filePath = Application.StartupPath + @"\..\..\SectionReport1.rpx";
            //var report = new SectionReport();
            //report.LoadLayout(XmlReader.Create(filePath));
            //report.Run();
            //GrapeCity.ActiveReports.Document.SectionDocument document = report.Document;
            
            //OR

            GrapeCity.ActiveReports.Document.SectionDocument document = viewer1.Document;
            
            
            document.Printer.PrinterSettings= printerSettings;
            if(printerSettings.Duplex!=System.Drawing.Printing.Duplex.Simplex)
            {
                if (document.Pages.Count % 2 != 0)
                    document.Pages.Add(new GrapeCity.ActiveReports.Document.Section.Page());
            }
            bool UsePrintingThread = true; //optional
            bool ShowPrintProgressDialog = true; //optional
            document.Print(false, ShowPrintProgressDialog, UsePrintingThread);
        }
    }
}
